<?php
# Ubuntu Manual
# Copyright (C) 2010 Daker <adnane002@gmail.com>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

session_start();
global $globals; 

if (isset($_GET['lang']) && !empty($_GET['lang']))
   {
		$lang=@$_GET['lang'];
   		foreach ($globals['languages'] as $short => $name) {
		  if ($lang==$name or $lang==$short)
		  {
                     define('LANGUAGE', $name);
                     define('LANGUAGE_SHORT', $short);	
                     $_SESSION['lang']= LANGUAGE; 
		     if (in_array($short, $globals['rtl']))
    		     define('LANGUAGE_DIR', 'rtl');
		     else
		     define('LANGUAGE_DIR', DEFAULT_DIR);    	
		  }
		}
   }
else
if (isset($_SESSION['lang']))
{
  		$lang=@$_SESSION['lang'];
   		foreach ($globals['languages'] as $short => $name) {
		  if ($lang==$name or $lang==$short)
		  {
                     define('LANGUAGE', $name);
                     define('LANGUAGE_SHORT', $short);
                     $_SESSION['lang']= LANGUAGE;
		     if (in_array($short, $globals['rtl']))
    		     define('LANGUAGE_DIR', 'rtl');
		     else
		     define('LANGUAGE_DIR', DEFAULT_DIR);	     	
		  }
		}
}
else
{ 
     $Accept_Lang=explode(",",$_SERVER['HTTP_ACCEPT_LANGUAGE']);  
     reset($Accept_Lang);
     while ( list($Index,$Language)=@each($Accept_Lang))
	 {
  	  if (eregi( "^(.+);q=([0-9.]*)$", $Language , $Part))
           {
             $Accept_Lang[$Index]=$Part[2] . ';'.strtoupper($Part[1]);
    	     }
  	  else
 	     {
	       $Accept_Lang[$Index]='1.0;'.strtoupper($Accept_Lang[$Index]);
	     }
	 }
	arsort($Accept_Lang); //sorting in a preference order
	reset($Accept_Lang);
	while (list(,$ALang)=@each($Accept_Lang) )
	  {
	    foreach ($globals['languages'] as $short => $name) {
		  if (strpos($ALang,strtoupper($short))!=0)
		  {
                     define('LANGUAGE', $name);
             	     define('LANGUAGE_SHORT', $short);
		     if (in_array($short, $globals['rtl']))
    		     define('LANGUAGE_DIR', 'rtl');
		     else
		     define('LANGUAGE_DIR', DEFAULT_DIR);
                     $_SESSION['lang']= LANGUAGE;
		     break 2;	
		  }
		}
	  }
    unset($Accept_Lang, $ALang,$short,$name);
}

if (!defined('LANGUAGE')) 
{
   define('LANGUAGE', DEFAULT_LANG);
   define('LANGUAGE_SHORT', DEFAULT_LANG_SHORT);
   define('LANGUAGE_DIR', DEFAULT_DIR);
   $_SESSION['lang']= LANGUAGE;
   
}

?>
