<?php global $globals; define('TITLE', __('Quickshot - Help')); ?>
<h2>
	<?php echo __('Using Quickshot'); ?>
</h2>
<div>
	<div>
		<p><?php echo __('Quickshot can be found by clicking <b>Applications → Accessories → Quickshot</b>'); ?></p>
	</div>

	<div>
		<p><?php echo __('You will then be guided through the process of setting up the Quickshot user. Once the Quickshot user is set up, you will switch to that user. This is done so that all screenshots captured on every computer, in every language, are consistent. It also makes removing Quickshot a simple process when you are done.');?></p>
	</div>

	<div>
		<p><?php echo __('Once you have logged in as the Quickshot user, your resolution will automatically be changed. If you have to change your resolution manually, please <a href="https://bugs.launchpad.net/quickshot">file a bug</a>. If the resolution is changed automatically but you don\'t see anything, you will be returned to the login screen after 15 seconds.');?></p>
	</div>

	<div>
		<p><?php echo __('After your resolution has been correctly set, you can start taking screenshots. Quickshot will provide you with a list of screenshots that need to be captured. Click on one and review the description, then click <b>Next</b>. The capture window will present you with any steps you will need to perform to get the screenshot looking just right. Once you are happy, click <b>Capture</b>.');?></p>
	</div>

	<div>
		<p><?php echo __('A three-second countdown will begin. Clicking the window you want to capture during this time, or activating a menu if instructed to do so by the steps, will ensure that the screenshot comes out looking right.');?></p>
	</div>

	<div>
		<p><?php echo __('After the three seconds elapse, the capture window will hide and you will see your screenshot in a preview window. Please make sure it looks the same as the example screenshot provided in the other tab, only in your language, then click <b>Upload</b>. The screenshot will automatically be sent to the Ubuntu Manual project for review and you can continue to go through the list.');?></p>
	</div>

	<div>
		<p><?php echo __('If you realize you made a mistake while capturing a screenshot, just choose it again (screenshots you have submitted will appear at the end of the list). We will always look at the most recent screenshot first.');?></p>
	</div>

	<div>
		<p><?php echo __('If you need to take a break, just log out. Quickshot will be waiting to help you where you left off the next time you log in. The entire capture process should take most users between an hour and an hour and a half.');?></p>
	</div>

	<div>
		<p><?php echo __('To do screenshots in other languages you will need to have other language packs installed. Log out of the quickshot user, then choose the quickshot user. You can change the language in the bottom left corner. Quickshot will remain in English but the rest of the desktop will be in the language you choose.');?></p>
	</div>


</div>

<div style="clear:both;"><div>
	
<?php define('META_DESCRIPTION', __('Quickshot is a python application designed to make it easy for all users to capture translated screenshots using an intuitive and semi-automated step-by-step process.')); ?>
