<?php global $globals;
# Ubuntu Manual
# Copyright (C) 2010 Kevin Godby <kevin@ubuntu-manual.org>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

//list($edition,$language) = explode('/', EXTRA,2);
$edition = PARAMS;
$lang = EXTRA;

if ("" == $lang) {
    $lang = LANGUAGE_SHORT;
}

$language = LANGUAGE;

global $globals;

$url = $globals['lulu_urls'][$edition][$lang];

echo "<!-- edition: [$edition]\nlang: [$lang]\nurl: [$url] -->\n";

if ("" != $url) {
    header('Location: ' . $url);
} else {
    echo "<h2>" . __("Print version unavailable") . "</h2>\n";
    echo "<div>\n";
    echo "<div><p>" . __('This edition of <i>Getting Started with Ubuntu</i> is not yet available in print.') . "</p></div>\n";
    echo "</div>\n";
}
?>
