<?php global $globals;
# Ubuntu Manual
# Copyright (C) 2010 Daker <adnane002@gmail.com>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

// helps you to avoid the printed result of the html

list($language,$version) = explode('/', EXTRA,2);

if($version == 'screen')
	$version = 'screen';
else
	$version = 'print';


$name_file = $globals['available_manuals'][PARAMS][$language];

$file=MAN_PATH.'getting-started-with-ubuntu/'.PARAMS.'/'.$language.'/'.$version.'/'.$name_file;
$file_url=MAN_URL.'getting-started-with-ubuntu/'.PARAMS.'/'.$language.'/'.$version.'/'.$name_file;
foreach ($globals['languages'] as $short => $name) {
		if ($language==$short) $lang=$name;
	}


if(!file_exists($file)) {
	global $globals; define('TITLE', __('File Not Found')); 
?>
<h2><?php echo __('File Not Found'); ?></h2>
<div>
	<div><p><?php echo str_replace('%version%', PARAMS , str_replace('%language%', strtolower($lang), __('The %language% edition of <i>Getting Started with Ubuntu %version%</i> is not yet available.'))); ?></p>
<!--
<p><?php 
$long_string=str_replace('%version%', PARAMS,__('We recommend that you download either the English version of <i>Getting Started with Ubuntu %version%</i> or the %language% version of <i>Getting Started with Ubuntu %available_version%</i>.'));
$long_string=str_replace('%language%', $lang, $long_string);
$long_string=str_replace('%available_version%', $globals['available_version'], $long_string); 
?>
</p>
-->
<ul>
    <li><a href="<?php echo BASE.'download/'.PARAMS.'/en_US/screen'; ?>" title="<?php echo str_replace('%version%', PARAMS, __('Getting Started with Ubuntu %version% (English)')); ?>"><?php echo str_replace('%version%', PARAMS, __('Download Getting Started with Ubuntu %version% (English)')); ?></a></li>
    <!--<li><a href="#0.1_" title="Getting Started with Ubuntu $PREVIOUS_VERSION ($LANGUAGE)"><?php echo __('Download Getting Started with Ubuntu $PREVIOUS_VERSION ($LANGUAGE)'); ?></a></li>-->
</ul>
<br />
<script type="text/javascript" charset="iso-8859-1">
<!-- 
	function store()
	{
	  $('#Result').hide();
	var name = document.getElementById ( 'name' );
     var email = document.getElementById  ( 'email' );
     var lang = document.getElementById ( 'lang' );
     var regex = /^[a-zA-Z0-9._-]+@[a-zA-Z0-9.-]{2,}\.[a-zA-Z]{2,4}$/;
     if (name.value==''  )
     {
     	$('#Result').fadeIn();
        $('#Result').html('<span style="color:#cc0000">Please fill in all fields.</span>');
     
     }
     else
     if(!regex.test(email.value) || email.value=='')
     {  
	$('#Result').fadeIn();
        $('#Result').html('<span style="color:#cc0000">Check your email address.</span>');
     }
     else
    {
         $.post("<?php echo BASE; ?>store_emails.php", {
            user_name: $('#name').val(),
            email: $('#email').val(),
	    lang: $('#lang').val(),
          }, function(response){
            $('#Result').fadeIn();
            $('#Result').html(unescape(response));
          });
            
      } 
}
 -->
</script>
	<div>
	<p>
	<?php 
	$string =  __('We\'re sorry, but the language you have selected hasn\'t finished being translated. If you\'d like to help with the translation, click <a href="%lp_link%">here</a>, If you\'d like to be notified when this edition is available, please enter your contact information below. We will use your email address only for this notification.');
	echo str_replace("%lp_link%",'https://translations.launchpad.net/ubuntu-manual/lucid-e1/',$string);?>
	</p>
	<p>
	<form method="post" action="">	
	<table border="0" style="font-size:0.9em;" cellpadding="3"  cellspacing="3">
			<tr>
				<td width="100"><?php echo __('Name :') ?></td>
				<td><input type="text" id="name" name="name" value=""><input type="hidden" id="lang" name="lang" value="<?php echo strtolower($lang); ?>"></td>
			</tr>	
			<tr>
				<td width="100"><?php echo __('Email :') ?></td>
				<td><input type="text" id="email" name="email" value=""></td>
			</tr>	
			<tr>
				<td colspan="2"><input type="button" onclick="store()" value="<?php echo __('Submit') ?>">&nbsp;&nbsp;<span id="Result"></span>&nbsp;&nbsp;</span></td>
			</tr>	
		</table>
	</form>
	</p>
	</div>
</div>
</div>
<?php
}
else
{
define('NO_GUI',1);
require(PATH.'includes/db.php');
//connect to the database.
$db = new DB(DB_HOST, DB_PORT, DB_USER, DB_PASSWORD);

if (!$db) die('MySQL error! Check your config.php');
else {
	$db->select(DB_NAME);
	$url = BASE.$_SERVER['QUERY_STRING'];
	$id=$db->get_id($url);
	$db->update_clicks($id);
	$db->update_log($id,LANGUAGE);
	//$num = rand(1, 2);
	////$rand_mirror = array_rand($mirors, 1);
	//if($num == 2 && $version == 'screen')
	//$file_url = "http://www.vrac.iastate.edu/~godbyk/screen/Getting%20Started%20with%20Ubuntu%2010.04.pdf";
	//if($num == 2 && $version == 'print')
	//$file_url = "http://www.vrac.iastate.edu/~godbyk/print/Getting%20Started%20with%20Ubuntu%2010.04.pdf";
	/*Downloading the file*/
	header('Location: '.$file_url);
	die;
}
}
?>
