<?php global $globals;
# Ubuntu Manual
# Copyright (C) 2010 Kevin Godby <kevin@ubuntu-manual.org>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

//list($edition,$language) = explode('/', EXTRA,2);
$edition = PARAMS;
$lang = EXTRA;

if ("" == $lang) {
    $lang = LANGUAGE_SHORT;
}

$language = LANGUAGE;

$proofread_urls = array(
    "gswu1110" => array(
        #"en" => "http://crocodoc.com/f68rVYI", # draft 3
        #"en" => "http://crocodoc.com/Oog1F8n", # draft 4
        #"en" => "http://crocodoc.com/FcDBmlM", # draft 5
        #"en" => "http://crocodoc.com/3fBdxUN", # draft 6
        #"en" => "http://crocodoc.com/6ylBHbR", # draft 7
        #"en" => "http://crocodoc.com/eEUcIuC", # draft 8
    ),
    "gswu1204" => array(
        #"en" => "http://personal.crocodoc.com/HbPBlKU", # draft 1
    ),
    "gswu1210" => array(
        #"en" => "http://personal.crocodoc.com/Ghp59wj", # draft 2
        #"en" => "http://personal.crocodoc.com/2Fln7wP", # draft 3
        #"en" => "http://personal.crocodoc.com/xtEgrBW", # draft 4
        "en" => "http://personal.crocodoc.com/4EKY71F", # final draft
    ),
    "gswu1304" => array(
        #"en" => "http://personal.crocodoc.com/p4c0ThE", # draft 1
        #"en" => "http://personal.crocodoc.com/NexDZgr", # draft 2
        "en" => "http://personal.crocodoc.com/oHBMC0I", # final draft (released)
    ),
    "gswu1310" => array(
        #"en" => "http://personal.crocodoc.com/fZ9os6G", # draft 1
        #"en" => "http://personal.crocodoc.com/HfrUDO0", # draft 2
        #"en" => "http://personal.crocodoc.com/o290Vvc", # draft 3
        "en" => "http://personal.crocodoc.com/iFVE3ay", # final draft (released)
    ),
);

$url = $proofread_urls[$edition][$lang];

echo "<!-- edition: [$edition]\nlang: [$lang]\nurl: [$url] -->\n";

if ("" != $url) {
    header('Location: ' . $url);
} else {
    echo "<h2>" . __("Draft version unavailable") . "</h2>\n";
    echo "<div>\n";
    echo "<div><p>" . __('This edition of <i>Getting Started with Ubuntu</i> is not yet available for proofreading.') . "</p></div>\n";
    echo "</div>\n";
}
?>
