<?php
# Ubuntu Manual
# Copyright (C) 2010 Daker <adnane002@gmail.com>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

$globals['base'] = 'ubuntu-manual.org';
//$globals['base'] = '127.0.0.1/website';

// MySQL settings (not used)
/*define('DB_HOST', 'localhost');
define('DB_PORT', '3306');
define('DB_USER', 'root');
define('DB_PASSWORD', 'ad14452');
define('DB_NAME', 'ubuntu-manual');*/

// Keywords and description META tags of the website
define('META_KEYWORDS', 'Ubuntu manual, ubuntu, lucid, lynx, 10.04, lucid lynx, help, documentation, book, pdf, ebook');
define('META_ROBOTS', 'noodp,noydir');

/* path where the manuals are stored
define('MAN_PATH', 'http://files.ubuntu-manual.org/'); 
define('MAN_PATH', 'http://127.0.0.1/manuals/');*/

//The language you want to have by default.
define('DEFAULT_LANG', 'English');
define('DEFAULT_LANG_SHORT', 'en');
define('DEFAULT_DIR', 'ltr');

//The symbol you want to have between the project name and the page. For example: Ubuntu Manual "-" Homepage.
define('SEPARATOR', '-');

// Languages
// include here all languages to use
$globals['languages'] = array(	
	'bn' => 'Bengali','ca' => 'Catalan',	
	'bg' => 'Bulgarian','zh_CN' => 'Chinese Simplified',
	'cs' => 'Czech','de' => 'Deutsch','en' => 'English',
	'en_GB' => 'English UK','fi' => 'Finnish',
	'fr' => 'French','gl' => 'Galician',
	'it' => 'Italian',
	'lt' => 'Lithuanian','ms' => 'Malay',
	'mr' => 'Marathi', 'fa' => 'Persian',
	'pl' => 'Polish',
	'pt' => 'Portuguese','ro' => 'Romanian',
	'ru' => 'Russian ','sr' => 'Serbian ',
	'si' => 'Sinhalese','es' => 'Spanish',
	'sv' => 'Swedish','te' => 'Telugu',
	'tr' => 'Turkish','vi' => 'Vietnamese',
);


$globals['available_manuals'] = array(	
	'fr' => 'French','en' => 'English',	
);

/* array backup 
$globals['languages'] = array(
	'sq' => 'Albanian','ar' => 'Arabic',	
	'bn' => 'Bengali','pt_BR' => 'Brazilian Portuguese',
	'ca' => 'Catalan',	
	'bg' => 'Bulgarian','zh_CN' => 'Chinese Simplified',
	'zh_TW' => 'Chinese Traditional',
	'cs' => 'Czech','nl' => 'Dutch','en' => 'English',
	'en_AU' => 'English Australia','en_GB' => 'English UK',
	'eo' => 'Esperanto','fi' => 'Finnish',
	'fr' => 'French','gl' => 'Galician',
	'de' => 'Deutsch','el' => 'Greek',
	'he' => 'Hebrew','hi' => 'Hindi',
	'hu' => 'Hungarian','ko' => 'Korean',
	'it' => 'Italian','ja' => 'Japanese',
	'lt' => 'Lithuanian','ms' => 'Malay',
	'mr' => 'Marathi','nb' => 'Norwegian Bokmal', 
	'oc' => 'Occitan','fa' => 'Persian',
	'pl' => 'Polish','ml' => 'Malayalam',
	'pt' => 'Portuguese','ro' => 'Romanian',
	'ru' => 'Russian ','sr' => 'Serbian ',
	'si' => 'Sinhalese','es' => 'Spanish',
	'sv' => 'Swedish','ta' => 'Tamil',
	'te' => 'Telugu','th' => 'Thai',
	'tr' => 'Turkish','vi' => 'Vietnamese',
);
*/
$globals['rtl'] = array('ar','he');

$globals['manual_version'] = '10.04';
$globals['ubuntu_code_name'] = 'Lucid Lynx';
$globals['available_version'] = '10.04';
$globals['website_version'] = '0.1';
$globals['num_languages'] = '50';
$globals['website_rev'] = '31';

// Post-configuration (you *should not* touch this!)
if (isset($_SERVER['HTTPS'])) define('BASE', 'https://'.$globals['base'].'/'); else define('BASE', 'http://'.$globals['base'].'/');

?>
