<?php define('TITLE', __('About')); ?>
<h2><?php echo __('About'); ?></h2>
<div>
	<div class="tools">
		<div>
			<img src="images/tools.png" alt="Tools" style="padding-right:5px;"/>
		</div>
	</div>
	<div>
		<p><?php echo __('Our project is an open source volunteer effort to create and maintain quality documentation for Ubuntu and its derivatives.'); ?></p>
	</div>
	<div>
		<p><?php echo __('We were founded in 2009 by Benjamin Humphrey, who saw the need for targeted up-to-date and consistent documentation for the Ubuntu operating system.'); ?></p>
	</div>
	<div>
		<p><?php echo __('It didn&#8217;t take long until the project amassed hundreds of contributors, and what Benjamin originally envisioned became a reality as the Ubuntu Manual Project blossomed into an ambitious and successful project.'); ?></p>
	</div>
	<div>
		<p><?php echo __('Our mission is to provide a wide range of quality educational materials to lower the Linux barrier to entry for new users and in turn increase Ubuntu&#8217;s market share.'); ?></p>
	</div>
</div>
<h2 style="width:50%"><?php echo __('How you can help'); ?></h2>
<div>
	<div>
		<p><?php echo __('We are always looking for talented people to work with, and due to the size of the project we are fortunate to be able to cater for a wide range of skill sets:'); ?></p>
	</div>
	<div>
		<ul>
			<li>
				<p><?php echo __('Authors, editors'); ?></p>
			</li>
			<li>
				<p><?php echo __('Programmers (Python or TeX)'); ?></p>
			</li>
			<li>
				<p><?php echo __('User interface designers'); ?></p>
			</li>
			<li>
				<p><?php echo __('Icon and title page artists'); ?></p>
			</li>
			<li>
				<p><?php echo __('Event organizers and ideas people'); ?></p>
			</li>
			<li>
				<p><?php echo __('Testers'); ?></p>
			</li>
			<li>
				<p><?php echo __('Web designers and developers'); ?></p>
			</li>
			<li>
				<p><?php echo __('Translators and screenshotters'); ?></p>
			</li>
		</ul>
	</div>
</div>
<h2><?php echo __('Interested?'); ?></h2>
<div>
	<div>
		<p><?php echo str_replace("%base%", BASE, __('Click <a href="%base%getinvolved">here</a> to find out how you can get involved.')); ?></p>
		<div align="center">
			
		<script src="js/AC_RunActiveContent.js" language="javascript"></script>
<script language='javascript'>
 AC_FL_RunContent('codebase', 'http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,0,0', 'width', '640', 'height', '379', 'src', ((!DetectFlashVer(9, 0, 0) && DetectFlashVer(8, 0, 0)) ? 'OSplayer' : 'OSplayer'), 'pluginspage', 'http://www.macromedia.com/go/getflashplayer', 'id', 'flvPlayer', 'allowFullScreen', 'true', 'movie', ((!DetectFlashVer(9, 0, 0) && DetectFlashVer(8, 0, 0)) ? 'OSplayer' : 'OSplayer'), 'FlashVars', 'movie=http://files.ubuntu-manual.org/videos/ump-advert_640x360.flv&btncolor=0x333333&accentcolor=0x20b3f7&txtcolor=0xffffff&volume=80&previewimage=http://files.ubuntu-manual.org/videos/ump-advert_640x360.jpeg&autoload=on');
</script>
<noscript>
 <object width='640' height='379' id='flvPlayer'>
  <param name='allowFullScreen' value='true'>
  <param name='movie' value='OSplayer.swf?movie=http://files.ubuntu-manual.org/videos/ump-advert_640x360.flv&btncolor=0x333333&accentcolor=0x20b3f7&txtcolor=0xffffff&volume=80&previewimage=http://files.ubuntu-manual.org/videos/ump-advert_640x360.jpeg&autoload=on'>
  <embed src='OSplayer.swf?movie=http://files.ubuntu-manual.org/videos/ump-advert_640x360.flv&btncolor=0x333333&accentcolor=0x20b3f7&txtcolor=0xffffff&volume=80&previewimage=http://files.ubuntu-manual.org/videos/ump-advert_640x360.jpeg&autoload=on' width='640' height='379' allowFullScreen='true' type='application/x-shockwave-flash'>
 </object>
</noscript>

		</div>
	</div>
</div>
<?php define('META_DESCRIPTION', __('Find out how you can help contribute to the Ubuntu Manual Project.')); ?>
