<?php global $globals; define('TITLE', __('Downloads')); ?>
<script type="text/javascript" src="<?php echo BASE; ?>js/popup.js"></script>

  <script type="text/javascript">

    		   $(document).ready(function(){
    			$('a[rel*=feedback]').facebox()
    			//Assign initial values
    			var edition = "<?php echo $globals['manual_version'];?>";
    			var language = "<?php echo LANGUAGE_SHORT;?>";	
    			var optimzed = "screen";
    			var dl_link = "download/" + edition + "/" + language + "/" + optimzed;            
    
    			function Set_Params(){
    				//Assign selected item to tne url
    				edition = $("#edition").val();
    				language = $("#language_list").val();
				if ($("#screen").is(":checked"))    				
    				optimzed = "screen";
    				else
				if ($("#print").is(":checked")) 
    				optimzed = "print";
    				Download();
    				
    			}
    			
    			function Download(){
    				//Compose the url
    				dl_link = "download/" + edition + "/" + language + "/" + optimzed;
    				
    				//Update destination before sending url
    				$('#downloadbtn').attr("href", dl_link);
    			}
    
    			//Update url when option is changed	
    			$("#edition").change(Set_Params);
                        $("#language_list").change(Set_Params);
    			$("#screen").change(Set_Params);
    			$("#print").change(Set_Params);
    			
    			//Compose a default url
			Download();
			
		    });

           </script>
        
        
			<h2><?php echo __('Downloads');?></h2>
			<div style="height:100%;min-height:350px;">
				<div>
					<p><?php echo __('To download the right manual for you, please select the right answer for each of the questions below. Then click the <strong>Download Now</strong> button.');?>
					</p>
				</div>
				<div class="collage">
					<div >
						<img src="images/downloads.png" alt="Collage" />
					</div>
				</div>
				<div class="donwloadBox">
					<ol>
						<li>
							<p>
								<?php echo __('What edition would you like?'); ?>
								<div align="center" style="margin-bottom:20px">
									<select id="edition">
                                						<option value="10.04" selected="selected"><?php echo str_replace('%version%', $globals['manual_version'] ,__('Getting Started with Ubuntu %version%')); ?></option>
									</select>
								</div>
							</p>
						</li>
						<li>
							<p>
								<?php echo __('What language do you prefer?'); ?>
								<div align="center" style="margin-bottom:20px">
								<select id="language_list" style="width:300px;">
								<?php 
									foreach ($globals['available_manuals'] as $short => $name) {
									if (LANGUAGE==$name or LANGUAGE_SHORT==$short)
										echo'<option value="'.$short.'" selected="selected">'.$name.'</option>';
									else
									    echo'<option value="'.$short.'">'.$name.'</option>';
									}
								?>
								</select>
								You Language dosen't exist click <a href="http://127.0.0.1" rel="feedback">here</a> to get informed when complet										
								</div>
							</p>
						</li>
						<li>
							<p>
								<?php echo __('Would you like a version optimized for printing?'); ?>
								<div align="center" style="margin-bottom:30px;width:200px;">
									<span style='float:left'>
										<input type="radio" name="optimzed" id="print" value="print" />
										<label for="print"><?php echo __('Yes'); ?></label>
									</span>
									<span style='float:right'>
										<input type="radio" name="optimzed" id="screen" checked="checked" value="screen" />
										<label for="screen" ><?php echo __('No'); ?></label>
									</span>
								</div>
							</p>
						</li>
					</ol>
					<br />
					<div align="center"><a id="downloadbtn" href="" class="medium button orange"><?php echo __('Download now')?></a></div>
				</div>
			</div>
			<?php define('META_DESCRIPTION', str_replace("%version%", $globals['manual_version'], __('Download a PDF of Getting Started with Ubuntu %version%'))); ?>
