<?php
# Jisko: An open-source microblogging application
# Copyright (C) 2010 Rubn Daz <outime@gmail.com>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

class DB {
	var $socket;
	var $connected = false;
	var $queries = 0;

	/* MAIN FUNCTIONS */
	function __construct($dbHost, $dbPort, $dbUser, $dbPassword) {
		$this->connected = false;
		
		if (!$dbPort) $dbPort = 3306;
		
		$this->socket = @mysql_connect($dbHost.':'.$dbPort, $dbUser, $dbPassword);
		
		if ($this->socket === false) {
			$this->connected = false;
		} else {
			$this->connected = true;
			$this->send("SET NAMES 'utf8'");
		}
		
		return $this->socket;
	}
	
	function select($dbName) {
		return @mysql_select_db($dbName);
	}
	
	function isConnected() {
		return $this->connected;
	}
	
	function send($query) {
		if (DEBUG) $sql = mysql_query($query) or write_debug(mysql_error(), 'mysql');
		else $sql = mysql_query($query);
		
		$this->queries = $this->queries + 1;
		return $sql;
	}
	
	/* Taken from "Partystic libraries" */
	function clean($query, $vars) {
		$query_length = strlen($query);
		if (count($vars) > 0) {
			$result = '';
			for ($i = 0, $varsParsed = 0; $i < $query_length; ++$i) {
				if ($query[$i] == "\\" and $query[$i + 1] == '%') {
					$result .= '%';
					++$i;
				} else if ($query[$i] != '%') {
					$result .= $query[$i];
				} else {
					if ($query[$i + 1] == 'i') {
						$result .= (int)$vars[$varsParsed];
					} else if ($query[$i + 1] == 's') {
						if ($query[$i - 1] == '`') {
							$toInclude = str_replace('`', '``', $vars[$varsParsed]);
						} else {
							$toInclude = str_replace("\\", "\\\\", $vars[$varsParsed]);
							$toInclude = str_replace($query[$i - 1], "\\" . $query[$i - 1], $toInclude);
						}
						$result .= $toInclude;
					}
					++$varsParsed;
					++$i;
				}
			}
			return $result;
		}
		return $query;
	}
	
	function getclicks($id) {
        $query = "SELECT clicks FROM urls WHERE id = " .$id;
		$result = mysql_query($query);
		if(!mysql_num_rows($result)) { echo mysql_error(); return false; }
		$row = mysql_fetch_array($result);
		return $row[0];
	}

	function gettimestamp($id) {
		$query = "SELECT timestamp FROM urls WHERE id = " .$id;
		$result = mysql_query($query);
		if(!mysql_num_rows($result)) { echo mysql_error(); return false; }
		$row = mysql_fetch_array($result);
		return $row[0];
	}

	function getresults($id) {
		$query = "SELECT click_time, referrer, user_agent, country_code FROM logs WHERE foreign_id = " .$id;
		$result = mysql_query($query);
		if(!mysql_num_rows($result)) { echo mysql_error(); return false; }
		// Store Query Results
		$num_rows=0;
		$last_result = array();
		while ($row = @mysql_fetch_object($result)) {
			// Store relults as an objects within main array
			$last_result[$num_rows] = $row;
			$num_rows++;
		}
		return $last_result;
	}		
	


	
}

?>
