<?php
# Jisko: An open-source microblogging application
# Copyright (C) 2010 Rubén Díaz <outime@gmail.com>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


define('PATH', dirname(__FILE__) . '/');


require(PATH.'includes/config.php');
require(PATH.'includes/db.php');


//connect to the database.
$db = new DB(DB_HOST, DB_PORT, DB_USER, DB_PASSWORD);

if (!$db) die('MySQL error! Check your config.php');
else {
	
	$db->select(DB_NAME);
	require_once('includes/functions.php' );
	require_once('includes/functions-infos.php' );
	$id=(int)$_GET['id'];
	if(isset($id) && !empty($id))
	require_once('stats.php');
	else
	require_once('liste.php');
}

?>
