<?php

include('includes/config.php');
include('includes/functions.php');
global $globals;

if (!$_POST['language'])
    return;

$language = $_POST['language'];

// Get a list of manuals for the currently selected language
$manuals = array();
foreach ($globals['available_manuals'] as $version => $language_names) {
    foreach ($globals['available_manuals'][$version] as $language_code => $manual_title) {
        if ($language_code == $language) {
            $manuals[$version] = substr($manual_title, 0, -4);
        }
    }
}

$latest_version = get_latest_version($globals['available_manuals'], $language);

foreach ($manuals as $version => $manual_title) {
    if ($version == $latest_version) {
        echo "<option value=\"$version\" selected=\"selected\">$manual_title</option>";
    } else {
        echo "<option value=\"$version\">$manual_title</option>";
    }
}
?>
