<?php
# Ubuntu Manual
# Copyright (C) 2010 Daker <adnane002@gmail.com>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

global $globals;

// super secret!
if(isset($_GET['v'])) {
        print '<span style="font-family:dejavu sans condensed, sans, verdana, arial;font-size:12px;">UMP Website v' . $globals['website_version'] . ' rev'.$globals['website_rev'].'<br />';
        print 'UMP Team &copy; 2010 (<a href="http://ubuntu-manual.org">ubuntu-manual.org</a>)</span>';
        exit;
}

function do_header($page = '') {
	
	if(defined('NO_GUI')) return $page;
	
	global $globals,$class;
	global $gettext_tables;
	
	set_language(LANGUAGE_SHORT);
	
	$texte = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">';
	$texte .= '
<!--
# Ubuntu Manual
# Copyright (C) 2010 Daker & UMP TEAM <adnane AT ubuntu-manual DOT org>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
-->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="'.LANGUAGE_SHORT.'" lang="'.LANGUAGE_SHORT.'" dir="'.LANGUAGE_DIR.'">
<head>
  <meta http-equiv="content-type" content="text/html;charset=utf-8" />
        <title>'.__('Ubuntu Manual').' '.SEPARATOR.' '.TITLE.'</title>
		<link rel="shortcut icon" href="'.BASE.'favicon.png" />
		<meta name="keywords" content="'.META_KEYWORDS.'" />
		<meta name="description" content="'.META_DESCRIPTION.'" />
        <meta name="robots" content="'.META_ROBOTS.'" />
        <meta name="readability-verification" content="s7nDEqPZ88npwjY2x5mB6ZakeNLZvPtEPcKRGDGC"/>
		<link rel="alternate" type="application/atom+xml" title="'.__('Ubuntu Manual Project Announcements').'" href="http://feeds.launchpad.net/ubuntu-manual/announcements.atom" />';
		if(LANGUAGE_DIR!='rtl')
		$texte .= '
		<link rel="stylesheet" type="text/css" href="'.BASE.'css/style.css" />';
		else
		$texte .= '
		<link rel="stylesheet" type="text/css" href="'.BASE.'css/style_rtl.css" />';
		$texte .= '
		<script language="javascript" src="'.BASE.'js/jquery.js"></script>';
		
		if(PAGE=='home')
		{
		$texte .= '<script type="text/javascript" src="'.BASE.'js/jquery.cycle.lite.min.js"></script>
					<script type="text/javascript">
					$(document).ready(function() {
					    $(\'.slideshow\').cycle({
							fx: \'fade\', // choose your transition type, ex: fade, scrollUp, shuffle, etc...
							speed:   2000, 
    							timeout: 8000,
							delay: -500
						});
					});
					</script>';
		$texte .= '<script type="text/javascript" src="js/countdown/countdown.js"></script>';
		$path=$_SERVER['DOCUMENT_ROOT'].$_SERVER['REQUEST_URI']."js/countdown/jquery.countdown-".LANGUAGE_SHORT.".js";
		if(file_exists($path)) {
		$texte .= '<script type="text/javascript" src="'.BASE.'js/countdown/jquery.countdown-'.LANGUAGE_SHORT.'.js"></script>';
		}
		$texte .= '<script type="text/javascript">
		$(function () {
			var austDay = new Date();
			austDay = new Date(2010, 3, 29 , 12, 00, 00 );
			$(\'#countbox\').countdown({until: austDay});
		});
		</script>';	
		}	
		
$texte .= '
		  <script type="text/javascript">
    			var _gaq = _gaq || [];
    			_gaq.push([\'_setAccount\', \'UA-109729-11\']);
    			_gaq.push([\'_trackPageview\']);
  		  </script>
</head>
<body>
<div id="page">
	
	<div id="header">
		<a id="logo" href="'.BASE.'">&nbsp;</a>
		<div class="language_menu">
		<span class="languagetxt">'.__('Language').'</span><br /><ul id="language">';
	foreach ($globals['languages'] as $short => $name) {
		if($short==LANGUAGE_SHORT)
		$texte .= '<li><a href="javascript:void(0);" class="parent">'.$name.'</a>';
	}
	  $texte .='<ul class="children"><hr/>';
	foreach ($globals['languages'] as $short => $name) {
		if($short!=LANGUAGE_SHORT)
		$texte .= '<li><a href="'.BASE.'?lang='.$short.'">'.$name.'</a></li>';	
	}
		$texte .='</ul></li></ul>
		</div>
	</div>
	<div id="social">
		<a id="facebook" target="_blank" title="Facebook" href="http://www.facebook.com/pages/The-Ubuntu-Manual/266794861575?ref=nf"><img src="'.BASE.'images/facebook.png" alt="FaceBook" /></a>
		<a id="twitter" target="_blank" title="Twitter" href="http://twitter.com/TheUbuntuManual"><img src="'.BASE.'images/twitter.png" alt="Twitter" /></a> 
	</div>
	<div id="shadow-container">	
			<div id="navbar">
			    	<span class="home">
			    	        <a href="'.BASE.'" '.$class["home"].'>'.__('Home').'</a>
			    	</span>
			    	<span class="nav_menu">
			    	        <a style="padding:0 5px;" href="'.BASE.'downloads" '.$class["downloads"].'>'.__('Downloads').'</a>
			    	        <a style="padding:0 5px;" href="'.BASE.'about" '.$class["about"].'>'.__('About').'</a>
			    	        <a style="padding:0 5px;" href="'.BASE.'getinvolved" '.$class["getinvolved"].'>'.__('Get Involved').'</a>
					<!--a style="padding:0 5px;" href="'.BASE.'quickshot" '.$class["quickshot"].'>'.__('Quickshot').'</a-->
					<!--a style="padding:0 5px;" href="'.BASE.'contributors"'.$class["contributors"].'>'.__('Contributors').'</a-->
					<a style="padding:0 5px;" href="'.BASE.'jobs"'.$class["jobs"].'>'.__('Jobs').'</a>
			    	</span>
			</div>
			<div id="content">
	
	';
	$texte = $texte.$page;
	return $texte;
}

function do_footer() {
echo "			<div id=\"footer\">
				<hr />
				<span class='copyright' style='float:left'>".str_replace("2010", "2010&ndash;2013", __('&copy; Copyright 2010 The Ubuntu Manual Team - some rights reserved'))."</span>
				<span class='license' style='float:right'>".__('All of our work is licensed under Creative Commons Attribution Share-Alike')."</span>
			</div>
			
		</div>
		<div id=\"ubuntu-logo\">
				<img src=\"".BASE."images/ubuntu-logo.png\" alt=\"Ubuntu\" />
		</div>
	
			
</div>
</div>
<script language='javascript' src='".BASE."js/jquery.corner.js'></script>
<script language='javascript'>
	$(document).ready(function () {

		$('#language').hover(
		
			function () {

				//change the background of parent menu
				$('#language li a.parent').addClass('hover');
				
				//display the language menu
				$('#language ul.children').show();
				
			},
		
			function () {

				//change the background of parent menu
				$('#language li a.parent').removeClass('hover');

				//hide the language menu
				$('#language ul.children').hide();
				
			}
		
		);
		
	});
    $('#downloadbtn').corner('6px');
</script>
<script type=\"text/javascript\">  (function() {
    var ga = document.createElement('script');     ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:'   == document.location.protocol ? 'https://ssl'   : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
    })();
</script>
</body>
</html>";
}
