<?php define('TITLE', __('Get Involved')); ?>
<h2><?php echo __('How you can help'); ?></h2>
<div>
	<div>
		<p><?php echo __('We&#8217;re lucky to be able to provide many roles to cater for everyone&#8217;s interests. Hopefully you&#8217;ll find something that you&#8217;re interested in below. If not, let us know and we can create a role for you!'); ?>
		</p>

	</div>
</div>

<h2><?php echo __('Authors'); ?></h2>
<div>
	<div>
		<p><?php echo __('Are you fluent in English? Have a good grasp of Ubuntu? Know how to construct beautiful sentences that Ubuntu beginners will understand with ease?'); ?>
		<br /><br />
		<?php echo __('We need your help for the following topics:'); ?>
		</p>
	</div>
	<div>
		<ul>
			<li><?php echo __('Installation'); ?></li>
			<li><?php echo __('The Ubuntu Desktop'); ?></li>
			<li><?php echo __('The Command Line'); ?></li>
			<li><?php echo __('Security'); ?></li>
			<li><?php echo __('Troubleshooting'); ?></li>
		</ul>
		<br />
		<p><?php echo __('If you know anything about these topics and want to help us write these chapters, click here to find out what you need to know to get started!'); ?>
		<br /><br />
		<a href="getinvolved/authors" class="large button green" title="<?php echo __('Become an Author') ;?>"><?php echo __('Become an Author') ;?></a>		
		</p>
	</div>
</div>


<h2><?php echo __('Editors'); ?></h2>
<div>
	<div>
		<p><?php echo __('At the Ubuntu Manual Project we strive to produce quality material for our readers. This means that we have a very strict editing policy and pay attention to detail down to every single little comma. If you&#8217;re a grammar freak and like to have everything perfect, then we need your help with:'); ?>
		</p>
	</div>
	<div>
		<ul>
			<li><?php echo __('Proof-reading spelling and grammar'); ?></li>
			<li><?php echo __('Checking consistency of formatting'); ?></li>
			<li><?php echo __('Checking consistency of language and style'); ?></li>
			<li><?php echo __('Writing glossary entries'); ?></li>
			<li><?php echo __('Adding entries to the index'); ?></li>
		</ul>
		<br />
		<p><?php echo __('Think you&#8217;re up to the task? Click here to find out what you need to know to get started!'); ?>
		<br /><br />
		<a href="getinvolved/editors" class="large button yellow" title="<?php echo __('Become an Editor') ;?>"><?php echo __('Become an Editor') ;?></a>
		</p>
	</div>
</div>

<h2><?php echo __('Translators'); ?></h2>
<div>
	<div>
		<p><?php echo __('Over here in the manual project we don&#8217;t mess around when it comes to producing awesome documentation. It&#8217;s so awesome in fact, that it&#8217;s translated in dozens of languages - over 50 in fact. We always need more translators to help make our publication available to as many people in the world as we can!'); ?>
		  <br /><br />
	          <?php echo __('The only pre-requisite is that you can understand English to translate into your own language, and that you have a Launchpad account!'); ?>
		  <br /><br />
	          <?php echo __('Click here to find out more.'); ?>
		  <br /><br />
		  <a href="getinvolved/translators" class="large button red" title="<?php echo __('Become a Translator') ;?>"><?php echo __('Become a Translator') ;?></a>
		</p>
	</div>
</div>


<h2><?php echo __('Programmers'); ?></h2>
<div>
	<div>
		<p><?php echo __('We&#8217;re lucky to be quite a large project, so we have to develop our own tools and applications to help us get things done. At the moment, our main focus is Quickshot, a python application that helps us take a lot of localized screenshots.'); ?>
		  <br /><br />
	          <?php echo __('We need python developers to help with:'); ?>
		</p>
	<div>
		<ul>
			<li><?php echo __('UI design'); ?></li>
			<li><?php echo __('Interfacing with Bazaar and Launchpad'); ?></li>
		</ul>
		<br />
		<p><?php echo __('Think you can lend a hand? Click here to find out what you need to get started! '); ?>
		<br /><br />
		<a href="getinvolved/programmers" class="large button blue" title="<?php echo __('Become a Programmer') ;?>"><?php echo __('Become a Programmer') ;?></a>
		</p>
	</div>
	</div>
</div>


<h2><?php echo __('Designers'); ?></h2>
<div>
	<div>
		<p><?php echo __('Our publications look pretty, we have many cool images such as chapter icons and title pages that we need to work on. We also have a cool website that needs to be maintained and we are always adding new stuff that has to look beautiful.'); ?>
		  <br /><br />
	          <?php echo __('If you have skills in any of the following areas, we need you! '); ?>
		</p>
	<div>
		<ul>
			<li><?php echo __('Web design'); ?></li>
			<li><?php echo __('HTML, CSS and web standard experience'); ?></li>
			<li><?php echo __('Artwork such as designing title pages and icons'); ?></li>
			<li><?php echo __('User Interface design for our custom developed applications like Quickshot'); ?></li>
		</ul>
		<br />
		<p><?php echo __('To find out more, click here!'); ?>
		<br /><br />
		<a href="getinvolved/designers" class="large button pink" title="<?php echo __('Become a Designer') ;?>"><?php echo __('Become a Designer') ;?></a>
		</p>
	</div>
	</div>
</div>

<?php define('META_DESCRIPTION', __('Find out how you can help contribute to the Ubuntu Manual Project.')); ?>
