<?php global $globals; define('TITLE', __('Quickshot')); ?>
<h2>
	<?php echo __('Quickshot'); ?>
	<div  class="quickshot_ban" align="right">
		<i><?php echo __('Taking screenshots has never been easier');?></i>
	</div>
</h2>
<div>
	<div>
		<p><?php echo __('Quickshot is a python application designed to make it easy for all users to capture translated screenshots using an intuitive and semi-automated step-by-step process.'); echo __(' Its principal use is with the Ubuntu Manual Project but it will also support configuration and customization for other projects in the near future.'); ?></p>
	</div>
	<div>
		<p><?php echo __('It is written in Python and uses Glade for the user interface.');?></p>
	</div>
	<div align="center">
		<img src="<?php echo BASE; ?>images/quickshot.png" alt="Quickshot"/>
	</div>
</div>
<h2><?php echo __('Get Quickshot'); ?></h2>
<div>
	<div>
		<p><?php 
			$get_quick= str_replace('%code_name%', $globals['ubuntu_code_name'] , __('If you are not using Ubuntu %code_name% (%version%), the easiest, and recommended way to use Quickshot is to download the Quickshot Live CD and boot into that to take screenshots.'));
		   	echo str_replace('%version%', $globals['manual_version'] , $get_quick);
		   ?>
		</p>
	</div>
	<div style="clear:both;height:20px;"></div>
	<div>
		<div style="font-size:11px;width:400px;float:right" align="left">
			<?php echo str_replace('%version%', $globals['manual_version'] , __('<strong>Please note:</strong> This Live CD is a stripped down version of Ubuntu %version% and therefore will not be suitable for anything other than a temporary platform to take screenshots.')); ?>
		</div>
		<p style="float:left;"><a href="http://files.ubuntu-manual.org/quickshot/ubuntu-manual-quickshot-i386-0.0.8.iso" style="width:250px;" class="large button green" title="<?php echo __('Download Quickshot') ;?>"> <?php echo __('Download Quickshot') ;?></a></p>
	</div>
	<div style="clear:both;height:30px;"></div>
	<p><?php echo str_replace('%version%', $globals['manual_version'] , __('<b>Already using Ubuntu %version%?</b> Add our PPA by running these commands in a terminal:')); ?></p>
	<div style="width:550px;padding:5px;border-top:1px solid #ddd;border-bottom:1px solid #ddd;">
		<pre class="sh2">$ sudo add-apt-repository ppa:quickshotdevs/quickshot-release</pre>
		<pre class="sh2">$ sudo apt-get update</pre>
		<pre class="sh2">$ sudo apt-get install quickshot</pre>
	</div>
</div>
<h2><?php echo __('Using Quickshot'); ?></h2>
<div>
	<ol>
	    <li><?php echo __('Open Quickshot (Applications → Accessories → Quickshot)');?></li>
	    <li><?php echo __('Create a Quickshot user and login');?></li>
	    <li><?php echo __('Let Quickshot set your screen resolution');?></li>
	    <li><?php echo __('Download the list of screenshots');?></li>
 	    <li><?php echo __('Choose a screenshot');?></li>
 	    <li><?php echo __('Set your desktop up');?></li>
 	    <li><?php echo __('Capture, Compare and Upload.');?></li>
	</ol>
</div>
<div>
		<div style="font-size:13px;" align="right">
			<p style="margin-right:0;width:150px;" align="right"><b><?php echo __('Found a bug?');?></b></p>
			<a href="https://bugs.launchpad.net/quickshot" class="medium button red" title="<?php echo __('File A bug') ;?>"><img src="<?php echo BASE; ?>images/bug_quickshot.png" style="vertical-align:middle;padding:0;border:0;" alt="<?php echo __('File A bug') ;?>"/><?php echo __('File A bug') ;?></a>
		</div>
		<p style="margin-top:-30px;float:left;width:400px;"><?php echo str_replace('getinvolved','quickshot/help', __('Need more help? See detailed instructions <a href="getinvolved">here</a>.'));?></p>
</div>
<div style="clear:both;"></div>
	
<?php define('META_DESCRIPTION', __('Quickshot is a python application designed to make it easy for all users to capture translated screenshots using an intuitive and semi-automated step-by-step process.')); ?>
